doctype html
html(lang="pt-br")
    head
        meta(charset='utf-8')
        title Análise - Licenciamento Ambiental - Mato Grosso do Sul
        link(rel='stylesheet' href='${templatePath}/style/estilo.css')
        style.

            * {
                margin: 0;
                padding:0;
            }
            .titulo{
                text-align: center;
            }
            .conteudo {
                margin: 0;
            }

            .titulo-item {
                text-decoration:underline;
                margin: 10px 20px 10px 60px;
                font-size: 14px;
                font-weight: bold;
            }
            .conteudo-item {
                font-size: 14px;
                font-weight: normal;
                padding-bottom: 5px;
                position: absolute;
                top: 20px;
                left:  780px;
                height: 725px;
            }

            td {
                border: 1px solid black;
            }

            .lista-conteudo {
                font-weight: bold;
                font-size: 14px;
            }

            .lista-referencias {
                font-size: 10px;
                padding-top: 100px;
                padding-left: 15px;
            }

            .lista-itens {
                padding-left: 100px;
                padding-right: 100px;
            }
            .col-item-titulo {
                width: 230px;
            }
            .col-item-conteudo {
                width: 200px;
                text-align: right;
            }

            .align-right {
                text-align: right;
            }

            .align-left {
                text-align: left;
            }

            table {
                width: 100%;
            }

            table, th, td {
                border: none;
            }

            .container {
            }

            .container-flex {
                display: flex;
                flex-direction: row;
            }

            div.mapa-carta-imagem{
                position: absolute;
                top: 0;
                left: 0;
                height: 100%;
            }

            div.legenda-carta-imagem {
                width: 100%;
                text-align: left;
            }

            img {
                height: 770px;
            }

            .icon-legenda {
                font-size: 0px;
                width: 10px;
                height: 6px;
                display: inline-block;
            }

            .tipo-legenda {
                display: inline-block;
            }

            .titulo-legenda {
                margin-top: 20px;
                margin-bottom: 5px;
            }

            .label-atividade {
                margin-top: 6px;
                margin-bottom: 2px;
            }

            .logos {
                display: flex;
                text-align: center;
                margin: 15px;
            }

            .logo {
                margin: 0 5px;
            }

            .logo-imasul {
                margin-bottom: 10px;
            }

            .logo-mato-grosso-sul {
                margin-right: 15px;
            }

            .footer {
                position: absolute;
                bottom: 0; 
            }


            table {
                border: none;
            }

            th {
                width: 110px;
                vertical-align: top;
            }

body.corpo
    .container-flex
        .mapa-carta-imagem
            img(src='${imagemCaracterizacao}', alt='Red dot')
        .conteudo-item
            div.titulo
                h2 CARTA IMAGEM
            div.conteudo
                
                .legenda-carta-imagem
                    | \#{list items:grupoDataLayers, as:'grupo'}
                    p.titulo-legenda
                        strong ${grupo.titulo}
                    | \#{if grupo.atividades != null && !grupo.atividades.isEmpty()}
                    | \#{list items:grupo.atividades, as:'atividade'}
                    div.label-atividade
                        strong ${atividade}
                    | \#{/list}
                    | \#{/if}
                    | \#{list items:grupo.dataLayers, as:'dataLayer'}
                    | \#{if dataLayer.name.equals("Limites da propriedade")}
                    div.icon-legenda(style= "border: 3px solid ${dataLayer.colorCode};") .
                    | \#{/if}
                    | \#{else}
                    div.icon-legenda(style= "background-color: ${dataLayer.colorCode}; border: 3px solid ${dataLayer.colorCode}") .
                    | \#{/else}
                    div.tipo-legenda(style="padding-left:5px;") ${dataLayer.name}
                    br
                    | \#{/list}
                    | \#{/list}

                    br
                .coordenadas.quebra
                    p
                        strong Coordenadas do Empreendimento:
                    |\#{list items:0..coordinates.length -2, as: 'coordenadas'}
                    p.coordenada P${coordenadas +1} - ${utils.CoordenadaUtil.formataLatitudeString(coordinates[coordenadas].y)} ${utils.CoordenadaUtil.formataLongitudeString(coordinates[coordenadas].x)}
                    div
                    | \#{/list}
                    br
                    p
                        strong Coordenadas da(s) Atividade(s):
                    
                    |\#{list items:0..coordinatesAtividades.length - 1, as: 'coordenadasAtividade'}
                    |\#{list items:0..coordinatesAtividades[coordenadasAtividade].length - 1, as: 'coordenadas'}
                    p.coordenada G${coordenadasAtividade +1}-${coordenadas +1} - ${utils.CoordenadaUtil.formataLatitudeString(coordinatesAtividades[coordenadasAtividade][coordenadas].y)} ${utils.CoordenadaUtil.formataLongitudeString(coordinatesAtividades[coordenadasAtividade][coordenadas].x)}
                    div
                    | \#{/list}
                    br
                    | \#{/list}

            .footer
                .logos
                    img.logo.logo-imasul(src='/public/app/images/logo-imasul.png' height="30")
                    img.logo.logo-mato-grosso-sul(src='/public/app/images/logo_governo_ms.png' height="60")

                table
                    tr
                        th PROCESSO:
                        td ${analiseEspecifica.analise.processo.caracterizacao.processoLicenciamento.numero}
                    tr
                        th PROTOCOLO:
                        td ${analiseEspecifica.analise.processo.numero}
                    tr
                        th INTERESSADO:
                        td ${analiseEspecifica.analise.processo.empreendimento.empreendimentoEU.empreendedor.pessoa.nome}
                    tr
                        th MUNICÍPIO:
                        td ${analiseEspecifica.analise.processo.empreendimento.municipio.nome}/MS
                    tr
                        th DATA:
                        td ${dataCartaImagem}
